public interface SqlInstancesCreateEphemeralCertRequestOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getBody()
public abstract SslCertsCreateEphemeralRequest getBody().google.cloud.sql.v1beta4.SslCertsCreateEphemeralRequest body = 100;
| Returns | |
|---|---|
| Type | Description |
SslCertsCreateEphemeralRequest |
The body. |
getBodyOrBuilder()
public abstract SslCertsCreateEphemeralRequestOrBuilder getBodyOrBuilder().google.cloud.sql.v1beta4.SslCertsCreateEphemeralRequest body = 100;
| Returns | |
|---|---|
| Type | Description |
SslCertsCreateEphemeralRequestOrBuilder |
|
getInstance()
public abstract String getInstance()Cloud SQL instance ID. This does not include the project ID.
string instance = 1;
| Returns | |
|---|---|
| Type | Description |
String |
The instance. |
getInstanceBytes()
public abstract ByteString getInstanceBytes()Cloud SQL instance ID. This does not include the project ID.
string instance = 1;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for instance. |
getProject()
public abstract String getProject()Project ID of the Cloud SQL project.
string project = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The project. |
getProjectBytes()
public abstract ByteString getProjectBytes()Project ID of the Cloud SQL project.
string project = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for project. |
hasBody()
public abstract boolean hasBody().google.cloud.sql.v1beta4.SslCertsCreateEphemeralRequest body = 100;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the body field is set. |